////////////////////////////////////////////////////////////////////
//
//  Tutorial uso di MySql con driver ODBC della actual technologies
//
//  Created by Francesco Germinara 
// 
//  Freeware (c) 2005 SofTech di F.Germinara - www.germinara.it. 
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

#import "panelElencoPersoneRegaliController.h"

@implementation panelElencoPersoneRegaliController

-(void) awakeFromNib{
  dsPersone=[[FGODBCResultSet alloc] init:theApp SetIdentifier:@"PERSONE" tableView:elencoPersone];
  
  [elencoPersone setTarget:self];
  [elencoPersone setDoubleAction:@selector(loadSelectedData)]; //Double click

  dsRegali=[[FGODBCResultSet alloc] init:theApp SetIdentifier:@"REGALI" tableView:elencoRegali];
    
  [elencoRegali setTarget:self];
  [elencoRegali setDoubleAction:@selector(loadSelectedData)]; //Double click 
}


- (void)drawerDidOpen:(NSNotification *)notification{
  [self startUseDataSource];
}

-(void) startUseDataSource{

 [elencoPersone setDataSource:nil];
 [dsPersone RemoveAllData];

   //Execute the query for dataset result 
 [dsPersone FillArray:theApp->pTabPersone SqlFilter:@"order by ID_PERSONA" ProgressInd:nil]; 
 //Set datasource to tableview
 [elencoPersone setDataSource:dsPersone];
 
[elencoRegali setDataSource:nil];
[dsRegali RemoveAllData];
   //Execute the query for dataset result 
 [dsRegali FillArray:theApp->pTabRegali SqlFilter:@"order by ID_REGALO" ProgressInd:nil]; 
 //Set datasource to tableview
 [elencoRegali setDataSource:dsRegali];
 
}

//Double click action
-(void)loadSelectedData{
 int nSelectedRow=0;

 if([[[tabCtrl selectedTabViewItem] identifier] intValue]==1){
  nSelectedRow=[elencoPersone clickedRow];
  NSString *idPersonaSelected=[dsPersone GetData:@"ID_PERSONA" atRow:nSelectedRow];
  [panelMovimenti->idPersona setStringValue:idPersonaSelected];
 }else{ 
  nSelectedRow=[elencoRegali clickedRow];
  NSString *idRegaloSelected=[dsRegali GetData:@"ID_REGALO" atRow:nSelectedRow];
  [panelMovimenti->idRegalo setStringValue:idRegaloSelected];
 }
 [panelMovimenti updateDescription];
}

@end
